For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Npt Task Statuses
      • POSTCreate Npt Task Status
      • PUTUpdate Npt Task Status
      • DELDelete Npt Task Status
LogoLogo
SupportContact salesStart free trial
API ReferenceNpt Status

Create Npt Task Status

POST
https://api.projectmanager.com/api/data/non-project-tasks/statuses
POST
/api/data/non-project-tasks/statuses
$curl -X POST https://api.projectmanager.com/api/data/non-project-tasks/statuses \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "order": 1,
17 "isDone": true
18 }
19}

Creates a new status level for non-project tasks.

Was this page helpful?
Previous

Update Npt Task Status

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

Information about the new status level to create
namestringRequired
The name of this TaskStatus.
orderinteger or nullOptional
A numerical value that can be used to sort TaskStatus values according to the needs of your business.
isDoneboolean or nullOptional
True if a Task in this TaskStatus is considered done.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A TaskStatus is a named status level used by your business to determine how to measure the progress of Tasks. You can define your own named status levels that are appropriate for your business and determine which status levels are considered done.

Errors

400
Bad Request Error